#
# spec file for package perl-Class-Unload
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-Unload
Version:        0.09
Release:        4.1
%define cpan_name Class-Unload
Summary:        Unload a class
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-Unload/
Source0:        http://www.cpan.org/authors/id/I/IL/ILMARI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Inspector)
Requires:       perl(Class::Inspector)
%{perl_requires}

%description
Unload a class

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Jul  4 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-Class-Unload/Changes
  0.09      2015-07-03 11:11:32+01:00 Europe/London
  - Add META.json and resources metadata (RT#105634)
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.08
  - Add =encoding directive to POD (RT#85625)
  Remove no longer applying perl-Class-Unload-lower_required_makemaker_version.patch
* Thu Jan 27 2011 pascal.bleser@opensuse.org
- update to 0.07: clean up after Class::C3 on pre-5.10 perls
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- initial package (0.06)
